Bug 144579 - intel e100 adapter sometimes won't allow ifdown
intel e100 adapter sometimes won't allow ifdown
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-08 14:04 EST by Kyrre Ness Sjøbæk
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:14:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2005-01-08 14:04:03 EST
Description of problem:
I have a laptop (Compaq armada M700), which has a built-in intel e100
ethernet adaptor. It works, exept that it often wont be unconfigured
with "ifdown eth0" - nothing really happens. This causes problems for
my SMC adm8211-based WLAN card - routing etc.

Version-Release number of selected component (if applicable):
any kernel from fc2 and fc3 (newest as today is 2.6.9-1.724_FC3)

How reproducible:
Almost every time (or every time... Maybe i simply do things
differently sometimes?)

Steps to Reproduce:
1.Plug in network cable in eth0
2.netplugd (i can't get NetworkManager to work, se bug #144577) sets
up the link
3.Use the network
*i dont know if this is neccessary, won't try rigth now as it will
leave this unsubmittable...*
4.Plug in the SMC card
5.SMC card get's IP etc.
6.Unplug the e100's cable
7.Try to unconfigure it with ifdown eth0
*nothing happens*
8.pull in an out cards etc. - nothing helps exept a reboot. Routing
table really funny (output of "route") - contains multiple entries,
entries for networks that is certainly not mine ETC. for the eth0...
Actual results:
Can't unconfigure it...

Expected results:
Clean unconfiguration

Additional info:
ifdown eth0 dont give any error message, altough ifconfig shows that
nothing has happened. neat (aka system-config-network) does give some
message (can't remember what it is right now...)

I think i can *reconfigure* the card (i.e. switching ip etc) w.o.
problems.

It also seem to always have a link-local ipv6 address, even if it has
never been connected. The yelow something-light always shines, but the
green ligth is only on when there is a link. I think on a similar
laptop (with similar problems), the card would be "dark" when no cable
was connected under windows.

eth1 (WLAN card) behaves mostly fine.
Comment 1 Kyrre Ness Sjøbæk 2005-01-09 12:52:26 EST
I just discovered, that if i first unplug the network cable, and then
"rmmod e100", it does unload, and then immediatly reload. But now in a
"reset" state, ie. it does only have a ipv6 adress (i think i disabled
ipv6 on that if...)

This enables me to swich back to wlan.
Comment 2 Dave Jones 2005-07-15 15:34:22 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Kyrre Ness Sjøbæk 2005-08-09 14:37:27 EDT
Sorry, but the laptop in question isn't available at the moment - dead
harddrive. As i am planning to buy a new drive in a not-to-distant time, i shall
test it then (if nobody other can test it in the meantime.) If there is any
live-cd's i can test, i will.
Comment 4 Dave Jones 2005-08-09 16:42:56 EDT
ok, I'll put it back in needinfo for the time being.
There is at least one person working on getting a Fedora livecd working, but
there isn't anything available yet afaik.

Comment 5 Dave Jones 2006-01-16 17:15:48 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 6 Dave Jones 2006-02-03 01:36:11 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 09:14:26 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.